

function buttonOver();
function buttonOn(button_number,panel);
function gameCreate();


BMAP* iHead="head.png";
BMAP* iMenu="menuBck.jpg";
BMAP* iStart="start.tga";
BMAP* iStartOver="startOver.tga";
BMAP* iSnombie="snombie.png";

PANEL* gameOverPanel={
	bmap=iHead; 
	flags=TRANSLUCENT;
	layer=20;
}

PANEL* gameOverText= {
	digits(0,0,"game over","Arial#150b",1,NULL);  
	red=255;
	green=0;
	blue=0;
	layer=30;
	flags=LIGHT | CENTER_X | CENTER_Y | TRANSLUCENT ; 
}

PANEL* gameOverScorePanel= {
	digits(0,0,"your score: %4.0f","Arial#60b",1,enemiesKilled);   
	red=128;
	green=0;
	blue=0;
	layer=30;
	flags=LIGHT | CENTER_X | CENTER_Y | TRANSLUCENT;
}

PANEL* restartPanel= {
	digits(0,0,"hit SPACE to replay","Arial#40b",1,NULL);   
	red=255;
	green=255;
	blue=255;
	layer=30;
	flags=LIGHT | CENTER_X | TRANSLUCENT | CENTER_Y;
}

PANEL* bckPanel={
	red=0;
	green=0;
	blue=0;
	layer=10;
	flags=LIGHT | TRANSLUCENT;
}

PANEL* menuPanel={
	bmap=iMenu;
	button(850, 800, iStart, iStart, iStartOver, buttonOn, NULL, buttonOver);
}

PANEL* scorePanel ={
	digits(0,0,"%4.0f","Arial#60b",1,enemiesKilled);   
	red=255;
	green=0;
	blue=0;
	flags=LIGHT | CENTER_X;
}

PANEL* snombie ={
	bmap=iSnombie;
	layer=20;
	flags= CENTER_X | CENTER_Y | TRANSLUCENT;
}

PANEL* controlsPanel ={
	digits(0,0,"use W A S D + mouse","Arial#60b",1,NULL);   
	red=255;
	green=255;
	blue=255;
	flags=LIGHT | CENTER_X | TRANSLUCENT | CENTER_Y;
}

var menuLoop=0;


function panelsInit(){
	gameOverPanel.pos_x=screen_size.x/2-500;
	gameOverPanel.pos_y=screen_size.y/2-500;

	gameOverText.pos_x=screen_size.x/2;
	gameOverText.pos_y=screen_size.y-250;
	
	gameOverScorePanel.pos_x=screen_size.x/2;
	gameOverScorePanel.pos_y=screen_size.y-150;
	
	restartPanel.pos_x=screen_size.x/2;
	restartPanel.pos_y=screen_size.y-50;
	
	bckPanel.size_x=screen_size.x;
	bckPanel.size_y=screen_size.y;
	
	menuPanel.pos_x=screen_size.x/2-960;
	menuPanel.pos_y=screen_size.y-1080;
	
	scorePanel.pos_x=screen_size.x/2;
	scorePanel.pos_y=screen_size.y-100;
	
	snombie.pos_x=screen_size.x/2-300;
	snombie.pos_y=screen_size.y/2-300;
	
	controlsPanel.pos_x=screen_size.x/2;
	controlsPanel.pos_y=screen_size.y-300;
}


function menuShow(){
	bckPanel.alpha=100;
	snombie.alpha=0;
	set(menuPanel,VISIBLE);
	set(bckPanel,VISIBLE);
	set(snombie,VISIBLE);
	
	while(snombie.alpha<100){
		snombie.alpha+=2*time_frame;
		wait(1);
	}
	snd_play(sNear3,30,0);
	menuLoop=snd_loop(mMenuLoop,60,0);
	while(bckPanel.alpha>0){
		bckPanel.alpha-=10*time_frame;
		wait(1);
	}
	reset(bckPanel,VISIBLE);
}


function buttonOn(button_number,panel){
	if (button_number == 1) {
		set(bckPanel,VISIBLE);
		bckPanel.alpha=0;
		snd_stop(menuLoop);
		opening=snd_play(sOpening,50,0);
		while(bckPanel.alpha<100){
			bckPanel.alpha+=10*time_frame;
			wait(1);
		}
		gameCreate(); 
		reset(menuPanel,VISIBLE);
		while(snd_playing(opening))
		wait(1);
		while(bckPanel.alpha>0){
			bckPanel.alpha-=5*time_frame;
			snombie.alpha=bckPanel.alpha;
			wait(1);
		}
		
		reset(bckPanel,VISIBLE);
		reset(snombie,VISIBLE);
	}
}

function buttonOver(){
	fxSound(sButton,100);
}