

function actorCreate(STRING* model,VECTOR* pos);
function actorLoop();
function actorMove();

function actorCreate(STRING* model,VECTOR* pos){
	me=ent_create(model,pos,0);
	set(my,SHADOW);
	
	my.health=100;
	my.moveSpeed=15;
	my.turnSpeed=100;
	
	actorLoop();
	return(me);
}

function actorLoop(){
	wait(1);
	var s=16;
	my.min_x=-s;
	my.max_x=s;
	my.min_y=-s;
	my.max_y=s;
	my.eflags |= NARROW | FAT;
	
	while(my.health>0){
		actorMove();
		
		wait(1);
	}
	
	set(my,PASSABLE|TRANSLUCENT);
	my.alpha=100;
	while(my.alpha>0){
		my.alpha=maxv(my.alpha-50*time_frame,0);
		wait(1);
	}
	
	ent_remove(me);
}

function actorMove(){
	var temp1[3];
	
	vec_for_angle(temp1,vector(my.inputPan,0,0));
	vec_rotate(temp1,vector(-my.pan,0,0));
	if(temp1[0]<=0)
	temp1[1]=sign(temp1[1]);
	my.pan+=temp1[1]*time_frame*my.turnSpeed;
	
	vec_set(temp1,vector(my.inputX,my.inputY,0));
	if(vec_length(temp1)>1)
	vec_normalize(temp1,1);
	vec_sub(temp1,my.speedX);
	if(vec_length(temp1)>0.1)
	vec_normalize(temp1,time_frame*0.4);
	vec_add(my.speedX,temp1);
	if(vec_length(my.speedX)>1)
	vec_normalize(my.speedX,1);
	
	vec_set(temp1,my.speedX);
	vec_scale(temp1,my.moveSpeed*time_frame);
	move_friction=0;
	c_move(me,nullvector,temp1,IGNORE_ME|IGNORE_PASSABLE|IGNORE_SPRITES|GLIDE|USE_AABB);
}