
function enemyCreate(VECTOR* pos);
function enemyLoop();
function enemyAnimate();


function enemyCreate(VECTOR* pos){
	me=actorCreate("snombie.mdl",pos);
	my.typ=TYPE_ENEMY;
	
	my.moveSpeed=5+minv(enemiesKilled/25,4);
	my.turnSpeed=15;

	enemyLoop();
	enemyAnimate();
	
	return(me);
}

function enemyLoop(){
	//	wait(1);
	//	c_updatehull(me,0);
	
	var lowerRange=80;
	var upperRange=768;
	var temp1[3];
	var temp2[3];
	var d;
	var near=0;
	
	while(my.health>0&&player.health>0){
		d=vec_dist(my.x,player.x);
		
		if(d<lowerRange){
			player.health-=100;
			vec_set(my.inputX,nullvector);
			wait(-1);
		}
		else if(d<upperRange){
			if(d<lowerRange*1.5){
				if(!near){
					near=1;
					fxSoundNear();
				}
			}
			else{
				near=0;
			}
			
			you=player;
			vec_set(temp1,player.x);
			vec_sub(temp1,my.x);
			temp1[2]=0;
			vec_to_angle(temp2,temp1);
			vec_normalize(temp1,1);
			vec_set(my.inputX,temp1);
			my.inputPan=temp2[0];
		}
		else		
		my.health=0;
		
		wait(1);
	}
}


function enemyAnimate(){
	var anm=0;
	
	while(my.health>0){
		ent_animate(me,"walk",anm,ANM_CYCLE);
		anm+=vec_length(my.speedX)*time_frame*10;		
		
		wait(1);
	}
}